if(COMPILE_CL_CHECKS)
	find_package(OpenCL REQUIRED)

	add_executable(clshmemlatency clshmemlatency.cpp)
	target_include_directories(clshmemlatency
		PUBLIC ${OpenCL_INCLUDE_DIRS})
	target_link_libraries(clshmemlatency
		${OpenCL_LIBRARY})
	add_executable(clshmemcheck clshmemcheck.cpp)
	target_include_directories(clshmemcheck
		PUBLIC ${OpenCL_INCLUDE_DIRS})
	target_link_libraries(clshmemcheck
		${OpenCL_LIBRARY})
	add_executable(clzerocopycheck clzerocopycheck.cpp)
	target_include_directories(clzerocopycheck
		PUBLIC ${OpenCL_INCLUDE_DIRS})
	target_link_libraries(clzerocopycheck
		${OpenCL_LIBRARY})
endif()
